<template>
  <div>
    <template v-if="loading">
      LOADING
    </template>
    <template v-else>
      <h1>
        {{ details.full_title }}
      </h1>
      <h3 class="mb-3 color-gray">
        {{ details.department }}
      </h3>
      <form action="#" class="needs-validation">
        <div
          v-for="(group, index) in form.groups"
          :key="index"
          class="card p-3 mb-3"
        >
          <h5>
            {{ group.title }}
          </h5>
          <field
            v-for="field in group.fields"
            :key="field.key"
            :group="group.title"
            v-bind="field"
          />
        </div>
        <div>
          <button type="submit" class="btn btn-block btn-info">
            Apply
          </button>
        </div>
      </form>
    </template>
  </div>
</template>

<script>
import { getJobForm, getJobDetails } from '~/api/jobs';
import Field from './components/Field';

export default {
  name: 'JobApply',
  components: {
    Field,
  },
  data () {
    return {
      loading: true,
      details: null,
      form: null,
    }
  },
  created () {
    getJobDetails(this.$route.params.jobId)
      .then((details) => {
        this.details = details;
        this.getForm();
      })
  },
  methods: {
    getForm () {
      getJobForm(this.$route.params.jobId)
        .then((form) => {
          this.loading = false;
          this.form = form;
          console.log(form);
        });
    },
    onFormSubmit (e) {
      e.preventDefault();

    },
  },
}
</script>